--    cr2hdr developed by a1ex
--    http://www.magiclantern.fm/forum/index.php?topic=7139.0
--    Plugin developed for Magic Lantern
--    Add "cr2hdr" to export
--
--    Metadata added by akry
--
--    Copyright (C) <2014>  <kichetof kichetof@gmail.com>
--
--    This program is free software; you can redistribute it and/or modify
--    it under the terms of the GNU General Public License as published by
--    the Free Software Foundation; either version 2 of the License, or
--    (at your option) any later version.
--
--    This program is distributed in the hope that it will be useful,
--    but WITHOUT ANY WARRANTY; without even the implied warranty of
--    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
--    GNU General Public License for more details.
--
--    You should have received a copy of the GNU General Public License along
--    with this program; if not, write to the Free Software Foundation, Inc.,
--    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

local LrHttp = import 'LrHttp'
local LrFileUtils = import 'LrFileUtils'

local pluginInfoProvider = {}

pluginInfoProvider.sectionsForTopOfDialog = function(f, propertyTable)

    return {
        {
            title = LOC "$$$/ML/ExportManager/Title=Magic Lantern Dual ISO",
            f:row {
                f:picture {
                    value = _PLUGIN:resourceId("logo.png"),
                },
            },
            f:row {
                f:push_button {
                    title = LOC "$$$/ML/ExportManager/MLTopic=Magic Lantern Dual ISO thread",
                    action = function()
                        LrHttp.openUrlInBrowser("http://www.magiclantern.fm/forum/index.php?topic=7139.0")
                    end,
                },
                f:push_button {
                    title = LOC "$$$/ML/ExportManager/MLDocTech=Technical doc",
                    action = function()
                        LrHttp.openUrlInBrowser("http://acoutts.com/a1ex/dual_iso.pdf")
                    end,
                },
                f:spacer {
                    height = 20
                },
            },
            f:row {
                f:push_button {
                    title = LOC "$$$/ML/InfoProvider/PlugInTopic=Dual ISO Converter plug-in thread",
                    action = function()
                        LrHttp.openUrlInBrowser("http://magiclantern.fm/forum/index.php?topic=11056.0")
                    end,
                },
                f:push_button {
                    title = LOC "$$$/ML/InfoProvider/Bitbucket=Bitbucket Project",
                    action = function()
                        LrHttp.openUrlInBrowser("https://bitbucket.org/kichetof/lr_cr2hdr")
                    end,
                },
            }
        }
    }
end

pluginInfoProvider.sectionsForBottomOfDialog = function( f, propertyTable )
    return {
        {
            title = LOC "$$$/ML/License/Title=Magic Lantern Dual ISO Lightroom Plugin License",
            synopsis = "GNU GPL v2",
            visible = false,
            f:row {
                spacing = f:control_spacing(),

                f:static_text {
                    title = LrFileUtils.readFile(_PLUGIN:resourceId("LICENSE.txt"))
                }
            }
        }
    }
end

return pluginInfoProvider
